metadata:
  id: firefly-iii-data-importer
  name:
    en: Firefly III Data Importer
  version: 0.1.0
  displayVersion: version-1.5.6
  category:
    af: Finance
    ar: مالية
    ca: Finances
    cs: Finance
    da: Finance
    de: Finanzen
    el: Οικονομικά
    en: Finance
    es: Finanzas
    fi: Finance
    fr: Finance
    he: Finance
    hu: Pénzügyek
    it: Finanza
    ja: 金融
    ko: 금융
    nl: Financiën
    no: Finance
    pl: Finanse
    pt: Finanças
    ro: Finanțe
    ru: Финансы
    sr: Finance
    sv: Finans
    tr: Finans
    uk: Фінанси
    vi: Tài chính
    zh: 金融
  tagline:
    en: The Firefly III Data Importer can import data into Firefly III
  developers: {}
  description:
    en: ''
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/firefly-iii/data-importer
  support: https://www.firefly-iii.org/
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/firefly-iii-data-importer/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    FIREFLY_III_ACCESS_TOKEN:
      type: String
      name:
        en: Firefly III OAuth Access Token
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: false
      placeholder: null
    FIREFLY_III_CLIENT_ID:
      type: Float
      name:
        en: Firefly III Public Client ID
      description:
        en: ''
      default: null
      min: null
      max: null
      step_size: null
    FIREFLY_III_URL:
      type: String
      name:
        en: Firefly III URL
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: false
      placeholder: null
  volumes: {}
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: null
containers:
  firefly-iii-data-importer: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        APP_DEBUG: !StringLike 'false'
        APP_ENV: !StringLike local
        FIREFLY_III_ACCESS_TOKEN: !StringLike ''
        FIREFLY_III_CLIENT_ID: !StringLike '0'
        FIREFLY_III_URL: !StringLike ''
        LOG_CHANNEL: !StringLike stack
        LOG_LEVEL: !StringLike info
        TRUSTED_PROXIES: !StringLike '**'
        TZ: !StringLike UTC
        VERIFY_TLS_SECURITY: !StringLike 'false'
      hostname: null
      image: fireflyiii/data-importer:version-1.5.6
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  firefly-iii-data-importer:
    target_container: firefly-iii-data-importer
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  firefly-iii-data-importer-nirvati-ingress:
    target_container: firefly-iii-data-importer
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8080: 8080
    cluster_ip: null
    network_policy: null
ingress:
- target_service: firefly-iii-data-importer-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8080
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
